package com.steering.mes.zgmil.entity;

/**
 * 数据库表QCM_ADD_ASK所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2019-01-09
 */
public class QcmAddAskEntity implements java.io.Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * 申请判定单号
     */
    private String jugdeApplyCode = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * DESGIN_KEY
     */
    private String desginKey = "";
    /**
     * 附加要求项
     */
    private String askItme = "";
    /**
     * 附加要求项名称
     */
    private String askItmeDesc = "";
    /**
     * 附加要求分项
     */
    private String askSubItme = "";
    /**
     * 附加要求分项描述
     */
    private String askSubItmeDesc = "";
    /**
     * 标准说明
     */
    private String askSubItmeVal = "";
    /**
     * 标准说明描述
     */
    private String askSubItmeValDesc = "";
    /**
     * 是否确认(0 未确认 1已确认)
     */
    private String askIsComfrim = "";
    /**
     * 执行标准说明
     */
    private String askValDesc = "";
    /**
     * 确认人
     */
    private String comfrimName = "";
    /**
     * 确认时间
     */
    private String comfrimTime = "";

    /**
     * 申请判定单号
     * @return value
     */
    public String getJugdeApplyCode() {
        return jugdeApplyCode;
    }

    /**
     * 申请判定单号
     * @param jugdeApplyCode value
     */
    public void setJugdeApplyCode(String jugdeApplyCode) {
        this.jugdeApplyCode = jugdeApplyCode;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * DESGIN_KEY
     * @return value
     */
    public String getDesginKey() {
        return desginKey;
    }

    /**
     * DESGIN_KEY
     * @param desginKey value
     */
    public void setDesginKey(String desginKey) {
        this.desginKey = desginKey;
    }

    /**
     * 附加要求项
     * @return value
     */
    public String getAskItme() {
        return askItme;
    }

    /**
     * 附加要求项
     * @param askItme value
     */
    public void setAskItme(String askItme) {
        this.askItme = askItme;
    }

    /**
     * 附加要求项名称
     * @return value
     */
    public String getAskItmeDesc() {
        return askItmeDesc;
    }

    /**
     * 附加要求项名称
     * @param askItmeDesc value
     */
    public void setAskItmeDesc(String askItmeDesc) {
        this.askItmeDesc = askItmeDesc;
    }

    /**
     * 附加要求分项
     * @return value
     */
    public String getAskSubItme() {
        return askSubItme;
    }

    /**
     * 附加要求分项
     * @param askSubItme value
     */
    public void setAskSubItme(String askSubItme) {
        this.askSubItme = askSubItme;
    }

    /**
     * 附加要求分项描述
     * @return value
     */
    public String getAskSubItmeDesc() {
        return askSubItmeDesc;
    }

    /**
     * 附加要求分项描述
     * @param askSubItmeDesc value
     */
    public void setAskSubItmeDesc(String askSubItmeDesc) {
        this.askSubItmeDesc = askSubItmeDesc;
    }

    /**
     * 标准说明
     * @return value
     */
    public String getAskSubItmeVal() {
        return askSubItmeVal;
    }

    /**
     * 标准说明
     * @param askSubItmeVal value
     */
    public void setAskSubItmeVal(String askSubItmeVal) {
        this.askSubItmeVal = askSubItmeVal;
    }

    /**
     * 标准说明描述
     * @return value
     */
    public String getAskSubItmeValDesc() {
        return askSubItmeValDesc;
    }

    /**
     * 标准说明描述
     * @param askSubItmeValDesc value
     */
    public void setAskSubItmeValDesc(String askSubItmeValDesc) {
        this.askSubItmeValDesc = askSubItmeValDesc;
    }

    /**
     * 是否确认(0 未确认 1已确认)
     * @return value
     */
    public String getAskIsComfrim() {
        return askIsComfrim;
    }

    /**
     * 是否确认(0 未确认 1已确认)
     * @param askIsComfrim value
     */
    public void setAskIsComfrim(String askIsComfrim) {
        this.askIsComfrim = askIsComfrim;
    }

    /**
     * 执行标准说明
     * @return value
     */
    public String getAskValDesc() {
        return askValDesc;
    }

    /**
     * 执行标准说明
     * @param askValDesc value
     */
    public void setAskValDesc(String askValDesc) {
        this.askValDesc = askValDesc;
    }

    /**
     * 确认人
     * @return value
     */
    public String getComfrimName() {
        return comfrimName;
    }

    /**
     * 确认人
     * @param comfrimName value
     */
    public void setComfrimName(String comfrimName) {
        this.comfrimName = comfrimName;
    }

    /**
     * 确认时间
     * @return value
     */
    public String getComfrimTime() {
        return comfrimTime;
    }

    /**
     * 确认时间
     * @param comfrimTime value
     */
    public void setComfrimTime(String comfrimTime) {
        this.comfrimTime = comfrimTime;
    }
}